# Class CIM_IPsecProposal
extends CIM_SAProposal

The class IPsecProposal adds no new properties, but inherits proposal properties from SAProposal as well as associating the security association transforms necessary for building an IPsec proposal (see the class ContainedTransform).

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_SettingData
|
+--CIM_ScopedSettingData
|
+--CIM_SAProposal
|
+--CIM_IPsecProposal

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | The class IPsecProposal adds no new properties, but inherits proposal properties from SAProposal as well as associating the security association transforms necessary for building an IPsec proposal (see the class ContainedTransform).
MappingStrings | string | IPSP Policy Model.IETF|IPsecProposal
UMLPackagePath | string | CIM::IPsecPolicy
Version | string | 2.8.0

## Class Properties

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
ChangeableType | uint16 | CIM_SettingData
ConfigurationName | string | CIM_SettingData
Description | string | CIM_ManagedElement
ElementName | string | CIM_SettingData
InstanceID | string | CIM_SettingData

## Class Methods